package com.service;

import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.service.IService;
import com.utils.PageUtils;
import com.entity.GuapaishenqingEntity;
import java.util.List;
import java.util.Map;
import com.entity.vo.GuapaishenqingVO;
import org.apache.ibatis.annotations.Param;
import com.entity.view.GuapaishenqingView;


/**
 * 挂牌申请
 *
 * @author 
 * @email 
 * @date 2030-03-20 23:07:14
 */
public interface GuapaishenqingService extends IService<GuapaishenqingEntity> {

    PageUtils queryPage(Map<String, Object> params);
    
   	List<GuapaishenqingVO> selectListVO(Wrapper<GuapaishenqingEntity> wrapper);
   	
   	GuapaishenqingVO selectVO(@Param("ew") Wrapper<GuapaishenqingEntity> wrapper);
   	
   	List<GuapaishenqingView> selectListView(Wrapper<GuapaishenqingEntity> wrapper);
   	
   	GuapaishenqingView selectView(@Param("ew") Wrapper<GuapaishenqingEntity> wrapper);
   	
   	PageUtils queryPage(Map<String, Object> params,Wrapper<GuapaishenqingEntity> wrapper);

   	

}

